ome-files 0.2.2

Public Member Functions | Public Attributes | List of all members
ome::files::detail::VariantPixelBufferAssignVisitor< InputIterator > Struct Template Reference

Assign a PixelBuffer from an input iterator. More...

`#include <ome/files/VariantPixelBuffer.h>`

Inheritance diagram for ome::files::detail::VariantPixelBufferAssignVisitor< InputIterator >:
[legend]
Collaboration diagram for ome::files::detail::VariantPixelBufferAssignVisitor< InputIterator >:
[legend]

## Public Member Functions
| VariantPixelBufferAssignVisitor (InputIterator begin, InputIterator end)
| Constructor. More...
void | operator() (ome::compat::shared_ptr< PixelBuffer< typename std::iterator_traits< InputIterator >::value_type > > &v) const
| PixelBuffer of correct type. More...
template<typename T >
void | operator() (T &) const
| PixelBuffer of incorrect type. More...

## Public Attributes
InputIterator | begin
| Input start.
InputIterator | end
| Input end.

## Detailed Description

### template<typename InputIterator>
struct ome::files::detail::VariantPixelBufferAssignVisitor< InputIterator >

Assign a PixelBuffer from an input iterator.

## Constructor & Destructor Documentation

## § VariantPixelBufferAssignVisitor()

template<typename InputIterator>

ome::files::detail::VariantPixelBufferAssignVisitor< InputIterator >::VariantPixelBufferAssignVisitor | ( | InputIterator | begin,
|  | InputIterator | end
| ) |  |
| inline

Constructor.

Parameters

  begin | the start of input.
  end | the end of input.

## Member Function Documentation

## § operator()() [1/2]

template<typename InputIterator>

void ome::files::detail::VariantPixelBufferAssignVisitor< InputIterator >::operator() | ( | ome::compat::shared_ptr< PixelBuffer< typename std::iterator_traits< InputIterator >::value_type > > & | v | ) | const
| inline

PixelBuffer of correct type.

Parameters

  v | the PixelBuffer to assign to.

Exceptions

  if | the PixelBuffer is null or the PixelBuffer's data array is null.

## § operator()() [2/2]

template<typename InputIterator>
template<typename T >

void ome::files::detail::VariantPixelBufferAssignVisitor< InputIterator >::operator() | ( | T & |  | ) | const
| inline

PixelBuffer of incorrect type.

Exceptions

  if | used.

The documentation for this struct was generated from the following file:

- ome/files/VariantPixelBuffer.h